Summary:	A handy file search tool
Name:		catfish
Version:	1.3.3
Release:	%mkrel 3
Group:		File tools
License:	GPLv2+
URL:		http://twotoasts.de/index.php/catfish
Source0:	https://launchpad.net/catfish-search/1.3/%{version}/+download/catfish-%{version}.tar.bz2
Patch0:		catfish-1.0.0-strict-Gtk-typelib-requires.patch
# Fix traceback for en_US non-sudoer user
# https://bugs.launchpad.net/catfish-search/+bug/1501565
Patch1:		catfish-1.3.2-menuitem-missing.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Requires:	python-gi
Requires:	python-pexpect
Requires:	mlocate
Requires:	findutils

%description
Catfish is a handy file searching tool for Linux and Unix. The
interface is intentionally lightweight and simple, using only
GTK+3. You can configure it to your needs by using several
command line options.

%prep
%setup -q
%autopatch -p1

%build
sed -i.misc \
	-e '/svg/s|install|install -pm 644|' \
	-e '/glade/s|install| install -pm 644|' \
	-e 's|install |install -p |' \
	-e 's|pyc|py|' \
	-e 's|^\([ \t]*\)ln |\1: ln |' \
	-e 's|cp -rf|cp -prf|' \
	Makefile.in.in

sed -i.check \
	-e 's|check ||g' \
	configure

# (tpg) do not use macro here
./configure \
	--prefix=%{_prefix} \
	--python=python

%install
%make_install

desktop-file-install \
	--remove-category="Utility" \
	--add-category='System' \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# handle docs in files section
rm -rf %{buildroot}%{_docdir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Mon Aug 15 2016 wally <wally> 1.3.3-3.mga6
+ Revision: 1046491
- add patch originally from Fedora to fix possible startup crashes (mga#19116)

* Sat Feb 20 2016 umeabot <umeabot> 1.3.3-2.mga6
+ Revision: 971966
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 1.3.3-1.mga6
+ Revision: 893905
- Updated to 1.3.3

* Sun Jun 21 2015 shlomif <shlomif> 1.2.2-1.mga6
+ Revision: 837876
- Correct typos
- New version 1.2.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-3.mga5
+ Revision: 746688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-2.mga5
+ Revision: 678321
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Thu Aug 14 2014 wally <wally> 1.0.3-1.mga5
+ Revision: 662535
- new version 1.0.3

* Mon Apr 28 2014 shlomif <shlomif> 1.0.2-2.mga5
+ Revision: 618574
- Correct URL

* Mon Apr 28 2014 shlomif <shlomif> 1.0.2-1.mga5
+ Revision: 618573
- New version 1.0.2

* Tue Feb 11 2014 wally <wally> 1.0.0-1.mga5
+ Revision: 589333
- new version 1.0.0
- rediff P0
- BR python-pexpect

* Tue Oct 22 2013 umeabot <umeabot> 0.8.2-2.mga4
+ Revision: 541373
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 wally <wally> 0.8.2-1.mga4
+ Revision: 495814
- new version 0.8.2
- switch to gtk3
- clean .spec

* Fri Aug 02 2013 dams <dams> 0.6.4-1.mga4
+ Revision: 462552
- new version 0.6.4

* Tue May 28 2013 shlomif <shlomif> 0.6.3-1.mga4
+ Revision: 429748
- Add missing BR
- New version 0.6.3
- Remove trailing space

* Fri Jan 11 2013 umeabot <umeabot> 0.3.2-6.mga3
+ Revision: 347435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + sander85 <sander85>
    - Update URL

* Sat Mar 26 2011 wally <wally> 0.3.2-5.mga1
+ Revision: 77832
- drop obsolete py_requires macro
- drop buildroot definition
- fix pyxdg package name in requires
- imported package catfish


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.3.2-5mdv2011.0
+ Revision: 590788
- rebuild for py2.7

* Wed Jun 09 2010 Funda Wang <fwang@mandriva.org> 0.3.2-4mdv2010.1
+ Revision: 547339
- add system category (bug#58189)

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.3.2-3mdv2010.0
+ Revision: 436946
- rebuild

* Thu Jan 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-2mdv2009.1
+ Revision: 323191
- rebuild for new python

* Sat Nov 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2009.1
+ Revision: 300964
- fix file list
- update to new version 0.3.2

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.3-8mdv2009.0
+ Revision: 243437
- rebuild

* Wed Mar 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-6mdv2008.1
+ Revision: 187121
- drop suggests on beagle
- default file manager is Thunar

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-5mdv2008.1
+ Revision: 133604
- suggests beagle
- tune up desktop file

* Tue Dec 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-4mdv2008.1
+ Revision: 131980
- add patch 0, fixes separator position
- do not package COPYING file

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix missing space after final stop

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-3mdv2008.1
+ Revision: 104108
- fix requires (i hope this will be last time ;)

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-2mdv2008.1
+ Revision: 104053
- fix requires

* Wed Oct 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-1mdv2008.1
+ Revision: 104023
- fix requires
- change requires fro strigi to beagle, as it is more apopriate ;)
- import catfish


